Resolve saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_bulk_resolve
  • POST /s/{space_id}/api/saved_objects/_bulk_resolve
Auth Deprecated

Retrieve multiple Kibana saved objects by identifier using any legacy URL aliases if they exist. Under certain circumstances when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved by the bulk resolve API using either its new ID or its old ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

Type: object[]

Responses

Indicates a successful call. NOTE: This HTTP response code indicates that the bulk operation succeeded. Errors pertaining to individual objects will be returned in the response body.

application/json

Response Type: object

Bad request

application/json
error enum required
Values: Bad Request
message string required
statusCode enum required
Values: 400
Base URL
https://{kibana_url}